;
;     setup_scmversion - Automatic setting of semantic version numbers based
;                        on scm tags and branches.
;
;     Copyright (C) 2019 Jorge M. Faleiro Jr.
;
;     This program is free software: you can redistribute it and/or modify
;     it under the terms of the GNU Affero General Public License as published
;     by the Free Software Foundation, either version 3 of the License, or
;     (at your option) any later version.
;
;     This program is distributed in the hope that it will be useful,
;     but WITHOUT ANY WARRANTY; without even the implied warranty of
;     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;     GNU Affero General Public License for more details.
;
;     You should have received a copy of the GNU Affero General Public License
;     along with this program.  If not, see <http://www.gnu.org/licenses/>.
;
#
# tox configuration
#  https://tox.readthedocs.io/en/latest/example/basic.html#a-simple-tox-ini-default-environments
#
[tox]

; envlist = py,py{34,35,36,37,38,pypy{3,35},jython
envlist = py,py{37,38,pypy{3,37,38}
; envlist = py,py37
requires =
    setuptools>=40.8.0

[testenv]

whitelist_externals =
    git
    which
    pwd

deps =
    -Ur{toxinidir}/requirements-dev.txt

commands =
    python -m pytest --durations=0 -vv
    behave
